<?php

namespace Drupal\eu_cookie_compliance\Ajax;

use Drupal\Core\Ajax\CommandInterface;

/**
 * Defines an AJAX command that updates a list of check boxes.
 *
 * @ingroup ajax
 */
class UpdateCookiePrefsListCommand implements CommandInterface {

  /**
   * A CSS selector string of the selector to update.
   *
   * @var string
   */
  protected $selector;

  /**
   * List of available options.
   *
   * @var array
   */
  protected $prefsList;

  /**
   * Name of the prefs type.
   *
   * @var array
   */
  protected $prefsType;

  /**
   * Constructs an updateCookiePrefsListCommand object.
   *
   * @param string $selector
   *   A CSS selector string of the selector to update.
   * @param array $prefs_list
   *   (optional) Prefs list.
   * @param string $prefs_type
   *   Prefs type.
   */
  public function __construct($selector = NULL, array $prefs_list = [], $prefs_type = '') {
    $this->selector = $selector;
    $this->prefsList = $prefs_list;
    $this->prefsType = $prefs_type;
  }

  /**
   * {@inheritdoc}
   */
  public function render() {
    return [
      'command' => 'updateCookiePrefsListCommand',
      'selector' => $this->selector,
      'prefsList' => $this->prefsList,
      'prefsType' => $this->prefsType,
    ];
  }

}
