<?php

namespace Drupal\eu_cookie_compliance;

use Drupal\Core\Config\Entity\ConfigEntityListBuilder;
use Drupal\Core\Entity\EntityInterface;

/**
 * Provides a listing of cookie compliance sets.
 */
class CookieComplianceSetListBuilder extends ConfigEntityListBuilder {

  /**
   * {@inheritdoc}
   */
  public function buildHeader() {
    $header['label'] = $this->t('Label');
    $header['id'] = $this->t('Machine name');
    $header['cookie_banners'] = $this->t('Cookie banners');
    $header['regions'] = $this->t('Regions');
    return $header + parent::buildHeader();
  }

  /**
   * {@inheritdoc}
   */
  public function buildRow(EntityInterface $entity) {
    /** @var \Drupal\eu_cookie_compliance\CookieComplianceSetInterface $entity */
    $row['label'] = $entity->label();
    $row['id'] = $entity->id();

    $values = [];
    foreach ($entity->get('cookie_banners') as $value) {
      if ($value !== "0") {
        $values[] = $value;
      }
    }
    $row['cookie_banners'] = implode(', ', $values);

    $values = [];
    foreach ($entity->get('regions') as $value) {
      if ($value !== '0') {
        $values[] = $value;
      }
    }
    $row['regions'] = implode(', ', $values);
    return $row + parent::buildRow($entity);
  }

}
